pbx_first_boot.sh sadness

Howdy,
So I downloaded and successfully installed the stable version two weeks ago. Configured trunks, routes, extensions. Calls worked. I was happy. Then I started to get System Module Admin update Fatal Error when clicking on the check online button. Read other forum posts and tried to figure it out by myself but couldn’t. So I backed up my config files and downloaded the most recent stable version Stable-2.210.62-6 32-bit ISO and burned my CD. I installed this to my bare metal dedicated PBX PC and upon what appeared to be a successful install got the following message upon the reboot to the new installation : Some firstboot error occurred, and the system is not properly setup. Check to see if you have internet access and re-run /etc/pbx_first_boot.sh.
So, I made no changes and I successfully pinged my gateway, 8.8.8.8, and www.yahoo.com. I also looked at my ifcfg-eth0 and resolv.conf files. Both look good. Made no changes. I did a service network restart just for good measure. Pings still good. Re-ran the pbx_first_boot.sh but no joy. I repeated this entire process with the current Beta release Beta-3.211.63-6 but got the same sad results. I am wondering if my original module update fatal error and this first boot error are related. Any help is gratefully appreciated and I am happy to provide any technical details requested. Thanks

OK, so I am trying to install the current stable FreePBX distro to a dedicated PC running an Intel P4 at 2.4 GHz with a 160GB hard drive and 1 GB RAM. Nothing fancy. Just want to boot to my ISO CD, install and start using my FreePBX machine. But I cant get past this pbx_first_boot.sh problem. So, I am trying to debug this script and am stuck on the curl line. I admit I don’t altogether understand what the curl command is intending to accomplish. I think that there is a typo on line 103 of this script. It shows BRAND== and I think it should be BRAND=. This section of the script is :

095 # test for internet and send back to freepbx
096 log_info "Testing for internet access"
097 INTERFACE=$(ip route show | awk ’ /^default/ { print $5 }’)
098 MACADDR=$(ip -o link show ${INTERFACE} | awk ‘/link/ {print $13}’)
099 MACHASH=$(echo -en ${MACADDR} | md5sum - | awk ‘/-/ {print $1}’)
100 ARCH=$(uname -m)
101 FREEPBXVERS=$(head -n 1 /etc/schmooze/pbx-version)
102 INSTALLTYPE=$(cat /installed-version | sed -e ‘s/.kickstart-([^.]).*/\1/’)
103 BRAND==$(head -n 1 /etc/schmooze/pbx-brand)
104 UARETURN=$(curl -s -m 30 -A “FreePBX Firstboot ${BRAND}-${FREEPBXVERS} ${ARCH} ${INSTALLTYPE}” --data mac=${MACADDR} --data mhash=${MACHASH} http://kickstart.freepbxdistro.org/install-log/)
105
106 echo ${UARETURN} | grep ‘passed’

known good return{“status”:“passed”,“data”:{“ua”:“FreePBX Firstboot FreePBX-1.810.210.57 i386 raid”,“ipaddr”:“98.92.113.190”,“mac”:“00:13:e8:dc:ba:47”,“mhash”:“b95057354699ec012de93ac1b833ffd4”,“test”:1}}

The corresponding output of /var/log/pbx/install/firstboot.log is :

++ curl -s -m 30 -A ‘FreePBX Firstboot =FreePBXDistro-2.210.62-6 i686 raid-asterisk10’ --data mac=00:02:e3:17:9a:42 --data mhash=9e5074c8559139371dac9e06f65fcf34 http://kickstart.freepbxdistro.org/install-log/

  • UARETURN=

++ echo -e ‘Some firstboot error occured, and the system is not properly setup.\nCheck to see if you have internet access and re-run /etc/pbx_first_boot.sh\nPress ctrl-alt-f1 to continue’
++ exit 1

I’m guessing that the =FreePBXDistro-2.210.62-6 should just be FreePBXDistro-2.210.62-6
but I don’t know and I could be barking up the wrong tree. (woof woof)
What is curl trying to do here anyway?

So, I am swimming in the deep end of the pool here and would really like some help. A response from someone more learned in the ways of PBX than I would seriously be appreciated. Again, I just want to get to the point where I can START using a new install of the latest stable release. Nothing fancy.

Thanks more.

you don’t have to redownload, just burn a new cd and give it a try.